Name:           python-pymongo
Version:        2.5
Release:        %mkrel 1
Summary:        Python driver for MongoDB
Group:          Development/Python
# All code is ASL 2.0 except bson/time64*.{c,h} which is MIT
License:        ASL 2.0 and MIT
URL:            http://api.mongodb.org/python
Source0:        http://pypi.python.org/packages/source/p/pymongo/pymongo-%{version}.tar.gz
Requires:       python-bson = %{version}-%{release}
Provides:       pymongo = %{version}-%{release}
Obsoletes:      pymongo <= 2.1.1-3
BuildRequires:  python-devel
BuildRequires:  python-nose
BuildRequires:  python-setuptools

%description
The Python driver for MongoDB.

%package gridfs
Summary:        Python GridFS driver for MongoDB
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}

%description gridfs
GridFS is a storage specification for large objects in MongoDB.

%package -n python-bson
Summary:        Python bson library
Group:          Development/Python

%description -n python-bson
BSON is a binary-encoded serialization of JSON-like documents. BSON is designed
to be lightweight, traversable, and efficient. BSON, like JSON, supports the
embedding of objects and arrays within other objects and arrays.

%prep
%setup -q -n pymongo-%{version}
rm -r pymongo.egg-info

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/pymongo
%{python_sitearch}/pymongo-%{version}-*.egg-info

%files gridfs
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/gridfs

%files -n python-bson
%doc LICENSE PKG-INFO README.rst doc
%{python_sitearch}/bson



%changelog

* Tue Apr 16 2013 guillomovitch <guillomovitch> 2.5-1.mga3
+ Revision: 410229
- imported package python-pymongo

